
QGIS Application - Bug report #20598

Editing breaks in histogram crashes program

2018-11-22 07:13 PM - Jonathan DeMoor

Status: Closed

Priority: High

Assignee:

Category: Unknown

Affected QGIS version:3.2 Regression?: No

Operating System: Win 7 Enterprise Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:Yes Copied to github as #: 28418

Description

User Feedback

Twice in a row--editing the breaks in a graduated style using the histogram.

Report Details

Crash ID: e1a9deb28e0a1c2434972761b6c22383515f1598

Stack Trace

QgsGraduatedSymbolRenderer::addBreak :

QgsGraduatedHistogramWidget::mouseRelease :

QMetaObject::activate :

QgsGraduatedHistogramEventFilter::mouseRelease :

QgsGraduatedHistogramEventFilter::eventFilter :

QCoreApplicationPrivate::sendThroughObjectEventFilters :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.2.0-Bonn

QGIS code revision: commit:bc43194061

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4
Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

History

#1 - 2018-11-23 12:58 PM - Giovanni Manghi

- Affected QGIS version changed from 3.4.1 to 3.2

- Priority changed from Normal to High

- Status changed from Open to Feedback

You are using 3.2, please try 3.4.1

#2 - 2019-02-23 08:37 PM - Jürgen Fischer

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version.  Feel free to reopen if it still applies to a current version and you

have more information that clarify the issue.
